| Home | Libraries | People | FAQ | More

##### basic_static_string::data (1 of 2 overloads)

Return a pointer to the string.

###### Synopsis

    constexpr pointer
    data();

###### Description

Returns a pointer to the underlying array serving as storage. The value returned is such that the range `{data(), data() + size())` is always a valid range, even if the container is empty.

###### Complexity

Constant.

###### Remarks

The value returned from this function is never never a null pointer value.